/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.jsystems.spring.controller;

import javax.validation.Valid;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import pl.jsystems.spring.model.Samochod;

/**
 *
 * @author andrzej
 */
@Controller
@RequestMapping(value = "formularz")
public class ShowForm {

    @RequestMapping(method = RequestMethod.GET, params = "nowy")
    public String viewNewForm(Model model) {  
        model.addAttribute("samochod", new Samochod());
        return "form";
    }

    @RequestMapping(method = RequestMethod.GET)
    public String viewForm(Model model) {      
        model.addAttribute("samochod", new Samochod("Skoda", "Rapid", "WWL 12345"));
        return "form";
    }

    /*
     @Valid oznacza, że obiekt samochód zostanie przesłany dopiero po pomyślnym 
     przejściu walidacji
     */
    @RequestMapping(method = RequestMethod.POST)
    public String postThis(@Valid Samochod samochod,BindingResult br) {
        System.out.println(samochod.toString());        
        return "form";
    }

}
