/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.jsystems.spring.model;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 *
 * @author andrzej
 */
public class Samochod {

    @Min(value = 3, message = "marka musi się składać z minimum 3 znaków")
    private String marka;

    //@NotNull(message = "musisz uzupelnić model")//nie bangla.. :(
    @Min(value = 1,message = "musisz uzupełnić model")
    private String model;

    @Size(min = 7, max = 9, message = "numer rejestracyjny może się składać z 7-8 znaków")
    private String numerRejestracyjny;

    @Override
    public String toString() {
        return "Samochod{" + "marka=" + marka + ", model="
                + model + ", numerRejestracyjny=" + numerRejestracyjny + '}';
    }

    public Samochod() {
    }

    public Samochod(String marka, String model, String numerRejestracyjny) {
        this.marka = marka;
        this.model = model;
        this.numerRejestracyjny = numerRejestracyjny;
    }

    /**
     * @return the marka
     */
    public String getMarka() {
        return marka;
    }

    /**
     * @param marka the marka to set
     */
    public void setMarka(String marka) {
        this.marka = marka;
    }

    /**
     * @return the model
     */
    public String getModel() {
        return model;
    }

    /**
     * @param model the model to set
     */
    public void setModel(String model) {
        this.model = model;
    }

    /**
     * @return the numerRejestracyjny
     */
    public String getNumerRejestracyjny() {
        return numerRejestracyjny;
    }

    /**
     * @param numerRejestracyjny the numerRejestracyjny to set
     */
    public void setNumerRejestracyjny(String numerRejestracyjny) {
        this.numerRejestracyjny = numerRejestracyjny;
    }

}
